package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SysHelp;

/**
 * helpService接口
 * 
 * @author ruoyi
 * @date 2023-06-09
 */
public interface ISysHelpService extends IService<SysHelp>
{
    /**
     * 查询help
     * 
     * @param id help主键
     * @return help
     */
    public SysHelp selectSysHelpById(Long id);

    /**
     * 查询help列表
     * 
     * @param sysHelp help
     * @return help集合
     */
    public List<SysHelp> selectSysHelpList(SysHelp sysHelp);

    /**
     * 新增help
     * 
     * @param sysHelp help
     * @return 结果
     */
    public int insertSysHelp(SysHelp sysHelp);

    /**
     * 修改help
     * 
     * @param sysHelp help
     * @return 结果
     */
    public int updateSysHelp(SysHelp sysHelp);

    /**
     * 批量删除help
     * 
     * @param ids 需要删除的help主键集合
     * @return 结果
     */
    public int deleteSysHelpByIds(Long[] ids);

    /**
     * 删除help信息
     * 
     * @param id help主键
     * @return 结果
     */
    public int deleteSysHelpById(Long id);
}
